
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>为什么一些机器学习模型需要对数据进行归一化？ / iVAN</title>

    <meta name="description" content="为什么一些机器学习模型需要对数据进行归一化？     机器学习模型被互联网行业广泛应用,如排序(参见:排序学习实践).推荐.反作弊.定位(参见:基于朴素贝叶斯的定位算法)等.一般做机器学习应用的时候大部分时间是花费在特征处理上,其中很关键的一步就是对特征数据进行归一化,为什么要归一化呢?很多同学并未搞清楚,维基百科给出的解释:1)归一化后加快了梯度下降求最优解的速度:2)归一化有可能提高精度.下面我简单扩展解释下这两点. 1 归一化为什么能提高梯度下降法求解最优解的速度?       斯坦福机器学习视频做了很好的解释:https://cla">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">为什么一些机器学习模型需要对数据进行归一化？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>    机器学习模型被互联网行业广泛应用，如排序（参见：<strong><a href="http://www.cnblogs.com/LBSer/p/4439542.html" rel="external nofollow noreferrer">排序学习实践</a></strong>）、推荐、反作弊、定位（参见：<strong><a href="http://www.cnblogs.com/LBSer/p/4020370.html" rel="external nofollow noreferrer">基于朴素贝叶斯的定位算法</a></strong>）等。一般做机器学习应用的时候大部分时间是花费在特征处理上，其中很关键的一步就是对特征数据进行归一化，为什么要归一化呢？很多同学并未搞清楚，维基百科给出的解释：1）归一化后加快了梯度下降求最优解的速度；2）归一化有可能提高精度。下面我简单扩展解释下这两点。</p>
<h2>1 归一化为什么能提高梯度下降法求解最优解的速度？</h2>
<p>      斯坦福机器学习视频做了很好的解释：<a href="https://class.coursera.org/ml-003/lecture/21" rel="external nofollow noreferrer">https://class.coursera.org/ml-003/lecture/21</a></p>
<p>      如下图所示，蓝色的圈圈图代表的是两个特征的等高线。其中左图两个特征X1和X2的区间相差非常大，X1区间是[0,2000]，X2区间是[1,5]，其所形成的等高线非常尖。当使用梯度下降法寻求最优解时，很有可能走“之字型”路线（垂直等高线走），从而导致需要迭代很多次才能收敛；</p>
<p>      而右图对两个原始特征进行了归一化，其对应的等高线显得很圆，在梯度下降进行求解时能较快的收敛。</p>
<p>      因此如果机器学习模型使用梯度下降法求最优解时，归一化往往非常有必要，否则很难收敛甚至不能收敛。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA0LzE5MjEwNTU1Mzg1ODExOS5wbmc=.jpg"></p>
<h2>2 归一化有可能提高精度</h2>
<p>     一些分类器需要计算样本之间的距离（如欧氏距离），例如KNN。如果一个特征值域范围非常大，那么距离计算就主要取决于这个特征，从而与实际情况相悖（比如这时实际情况是值域范围小的特征更重要）。</p>
<h2>3 归一化的类型</h2>
<h3>1）线性归一化</h3>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvdXBsb2FkLndpa2ltZWRpYS5vcmcvbWF0aC83LzYvNS83NjUxMmIxNDJjMWI3ZTI3ZThhN2U3ZWIxZmMxMTIyNS5wbmc=.jpg"></p>
<p>      这种归一化方法比较适用在数值比较集中的情况。这种方法有个缺陷，如果max和min不稳定，很容易使得归一化结果不稳定，使得后续使用效果也不稳定。实际使用中可以用经验常量值来替代max和min。</p>
<h3>2）标准差标准化</h3>
<p>　　经过处理的数据符合标准正态分布，即均值为0，标准差为1，其转化函数为：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd2ViZGF0YWFuYWx5c2lzLm5ldC93cC1jb250ZW50L3VwbG9hZHMvMjAxMC8wMi96LXNjb3JlLnBuZw==.jpg"></p>
<p>　　其中μ为所有样本数据的均值，σ为所有样本数据的标准差。</p>
<h3>3）非线性归一化</h3>
<p>     经常用在数据分化比较大的场景，有些数值很大，有些很小。通过一些数学函数，将原始值进行映射。该方法包括 log、指数，正切等。需要根据数据分布的情况，决定非线性函数的曲线，比如log(V, 2)还是log(V, 10)等。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 08:59:16</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>为什么一些机器学习模型需要对数据进行归一化？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrXLKjz.html" rel="bookmark">摩根大通机器学习与金融大数据指南&mdash;&mdash;未来的华尔街大亨&vert;大数据&plus;机器学习&plus;金融工程师</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				更多深度文章,请关注:https://yq.aliyun.com/cloud 金融服务工作流行得快.过时得也快.2001年互联网公司的股权研究风靡一时:2006年,对担保债务凭证(CDOs)有着偏爱:2010年,信贷交易商很受欢迎:2014年,又轮到了合规专家:而在2017年,这是关于机器学习和大数据的时代,如果你能涉足该领域,那么你的未来将会有所保证. 摩根(J.P.Morgan)的定量投资和衍生策略团队发布了关于金融服务领域大数据和机器学习的最全面的报告,报告称,&quot;大数据和人工智能(AI)战			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Z8kZb.html" rel="bookmark">如何在iPhone上建立第一个机器学习模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 作为一名数据科学家,我一直有一个梦想--顶级科技公司在与我相关的领域不断推出新产品. 如果你观看了Apple公司最新的iPhone X发布会,你会发现iPhone X具有非常酷的特性,比如FaceID.动态表情.增强现实,这些特性都使用了机器学习.作为一名骇客,我决定亲自上手探索一下如何建立那样的系统. 进一步调查后我发现了一个很有趣的工具,那就是Apple官方面向开发者推出的机器学习框架工具CoreML.它可以在iPhone.Macbook.Apple TV.Apple watch等任何			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDW8lKp.html" rel="bookmark">香港科技大学在读博士生张鹏博：借鉴师生互动模式来训练机器学习模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在学校教学模式中,老师扮演着重要的角色.借鉴老师与学生的师生互动模式,香港科技大学在读博士生张鹏博在他的论文A New Learning Paradigm for Random Vector Functional-Link Network: RVFL+中提出一种基于LUPI 的 random vector functional-link 网络(RVFL+),RVFL+不需要太多的计算硬件以及时间,优势明显. 在近期雷锋网 AI研习社的线上分享会上,他为我们详细解读了A New Learning			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBnR8M.html" rel="bookmark">《构建实时机器学习系统》一2&period;2　怎样衡量监督式机器学习模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 怎样衡量监督式机器学习模型 本章前面对一个好的实时机器学习模型的衡量只提到了&quot;优秀&quot; &quot;合适&quot;这样的字眼,本节将会详细展开,讨论监督式实时机器学习模型的衡量标准. 在实际应用中,监督式实时机器学习效果的好坏可以分为统计量是否优秀和应用业绩是否优秀两个方面.下面将按照这两部分分别进行介绍. 在讨论技术细节之前,先进行一下符号的定义: 给定 n 组已知的自变量和因变量{(Yi, Xi)}ni=1作为测试数据集,对于任意i,我们通过自变量Xi和模型f(Xi; b)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ROPQb.html" rel="bookmark">机器学习项目中的数据预处理与数据整理之比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				要点 在常见的机器学习/深度学习项目里,数据准备占去整个分析管道的60%到80%. 市场上有各种用于数据清洗和特征工程的编程语言.框架和工具.它们之间的功能有重叠,也各有权衡. 数据整理是数据预处理的重要扩展.它最适合在可视化分析工具中使用,这能够避免分析流程被打断. 可视化分析工具与开源数据科学组件之间,如R.Python.KNIME.RapidMiner互为补充. 避免过多地使用组件能够加速数据科学项目.因此,在数据准备步骤中利用流式获取框架或流式分析产品会是一个不错的选择. 机器学习和深度			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRxakp.html" rel="bookmark">如何开发机器学习模型？（机器学习入门第三篇）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在之前的两篇文章里面,分别介绍了机器学习可以做哪些业务,以及学习机器学习所需要的了解的算法知识.本文将分享开发机器学习模型的全过程. 1.机器学习入门系列第一篇: 机器学习能为你的业务做什么?有些事情你肯定猜不到! 2.机器学习入门第二篇:关于机器学习算法 你需要了解的东西 你应该已经熟悉所有的技术概念了吧,现在,我们可以把某个想法变成一个可用于生产的实际模型了. 建模步骤一览 从较高的层次上来讲,创建一个优秀的机器学习模型跟创建其他任何产品是一样的:首先从构思开始,把要解决的问题和一些潜在的解			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvna76M.html" rel="bookmark">如何使用JavaScript构建机器学习模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目前,机器学习领域建模的主要语言是 Python 和 R,前不久腾讯推出的机器学习框架 Angel 则支持 Java 和 Scala.本文作者 Abhishek Soni 则用行动告诉我们,开发机器学习模型,JavaScript 也可以. JavaScript?我不是应该使用 Python 吗?甚至 Scikit-learn 在 JavaScript 上都不工作. 这是可能的,实际上,连我自己都惊讶于开发者对此忽视的态度.就 Scikit-learn 而言,Javascript 的开发者事实上已			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baBV8mM.html" rel="bookmark">《构建实时机器学习系统》一1&period;8　实时机器学习模型的生存期</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.8 实时机器学习模型的生存期 进行实时机器学习开发必须考虑生存期.生存期是指一个系统从提出.设计.开发. 测试到部署运用.维护.更新升级或退役的整个过程.若在生存期设计上出现了数据,那么在后面的使用中就会出现各种各样的瓶颈阻碍应用产生价值. 从软件工程的角度上讲,开发实时机器学习也遵从构思.分析.设计.实现和维护五个步骤,这五个步骤可能会循环往复,随着业务的发展进行多次迭代.实时机器学习模型的应用由于其技术的特殊性,也具有自己的小型生存期,其中包括数据收集.数据分析.离线手工建模评测.上线自			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG1wVOM.html" rel="bookmark">你的机器学习模型为什么会出错？奉上四大原因解析及五条改进措施</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对开发者来说,目前有一系列的机器学习模型可供选择.雷锋网(公众号:雷锋网)了解,可以用线性回归模型预测具体的数值,用逻辑回归模型对不同的运算结果进行归类,以及用神经网络模型处理非线性的问题等等. 不论哪一种,当模型选定之后,下一步就是利用大量的现有数据对相关的机器学习算法进行训练,探究既定的输入数据和预想的输出结果之间的内在关系.但这时可能会出现一种情况:训练结果能够成功应用于原始输入和输出,可一旦有新的数据输入就不行了. 或者说得更直白一点,应该怎样评估一个机器学习模型是否真的行之有效呢?雷锋			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmndaz.html" rel="bookmark" class="title">网站防御DDOS的PHP代码</a>
					<div>
						今天的主题是网站攻击与网站防护.这是我查到的资料,能够有效的拦截住我的DDOS 一个PHP代码   &lt;?php   //查询禁止IP   $ip =$_SERVER['REMOTE_ADDR'] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX1nQz.html" rel="bookmark" class="title">ORA-01650</a>
					<div>
						数据库很多表频繁报错 ora-01688 ORA-01650 等错误ORA-01650: unable to extend rollback segment %s by %s in tablespac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRRVaz.html" rel="bookmark" class="title">JSP验证码大全之中文验证码</a>
					<div>
						在上一篇内容中介绍了有关JSP中产生数字验证码图片的过程,本文将继续介绍有关JSP中的另一种验 证码的实现,即中文验证码在JSP中的实现,使用中文验证码的好处是能提高验证的有效性,提高验证的 安全度, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7QYXM.html" rel="bookmark" class="title">win32&sol;malware&period;gen病毒是什么</a>
					<div>
						  病毒描述 win32/malware.gen属于Malware病毒系列的一个分支,其本身对电脑危害并不大常隐藏于一些游戏.文件和压缩包中,主要目的是为了盗取用户的QQ密码,游戏密码.当您在输入游戏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyQqeb.html" rel="bookmark" class="title">Excel表格格式的信息隐藏方法</a>
					<div>
						1概述信息隐藏技术作为保证信息安全的一种技术,近年来得到快速发展.视频.音频.图像文件因为具有较大的视觉.听觉冗余特性,成为信息隐藏的重要载体,所以基于视频.音频.图像的信息隐藏技术得到广泛研究,但相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Zjn4b.html" rel="bookmark" class="title">在Word 2010文档快速设置默认粘贴选项</a>
					<div>
						用户可以在Word2010文档中设置默认粘贴选项,以适应在各种条件下的粘贴需要,操作步骤如下所述: 第1步,打开Word2010文档窗口,依次单击&quot;文件&quot;→&quot;选项&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZ128z.html" rel="bookmark" class="title">Win8&period;1安装失败错误0x80004005怎么解决</a>
					<div>
						  解决方法一: 1.依次单击&quot;开始&quot;.&quot;运行&quot;,在&quot;打开&quot;框中键入cmd,然后单击&quot;确定&quot;. 2.在命令提示符处,键入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZveZb.html" rel="bookmark" class="title">飞信2014怎么群发短信</a>
					<div>
						  1.首先当然先得在你的手机或者电脑上下载一个飞信客户端啦! 2.和QQ一样,飞信2014也有群组和讨论组功能,如果需要群发短信,可以直接将联系人邀请到讨论组或者群组即可,具体步骤如下: 如果是第一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBwgnz.html" rel="bookmark" class="title">查看redis占用内存大小的情况</a>
					<div>
						redis缓存固然高效,可是它会占用我们系统中宝贵的内存资源,特别是当我们的项目运行了一段时间后,我们需要看一下redis占用了多少内存,那么可以用&quot;info&quot;命令查看. 执行in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE68NJM.html" rel="bookmark" class="title">android-Android得到的真机的SD卡路径是 &sol;storage&sol;emulated&sol;0&sol;！！！！！！！！！！</a>
					<div>
						问题描述 Android得到的真机的SD卡路径是 /storage/emulated/0/!!!!!!!!!! 如题,一个小时前测试得到还是正确路径,现在得到的却是/storage/emulated/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq9Z8b.html" rel="bookmark" class="title">流行消息队列服务</a>
					<div>
						一.简单消息队列服务 HTTPSQS HTTPSQS(HTTP Simple Queue Service)是一款基于 HTTP GET/POST 协议的轻量级开源简单消息队列服务,使用 Tokyo C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6j6Nb.html" rel="bookmark" class="title">Kafka vs RocketMQ&mdash;&mdash;单机系统可靠性</a>
					<div>
						引言 前几期的评测中,我们对比了Kafka和RocketMQ的吞吐量和稳定性,本期我们要引入一个新的评测标准--软件可靠性. 何为&quot;可靠性&quot;? 先看下面这种情况:有A,B两辆越野汽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwPZ5p.html" rel="bookmark" class="title">CopyOnWriteArrayList类set方法疑惑？</a>
					<div>
						在淘宝内网有位同事提了一个很好的问题,大家能否帮忙解答下? 在CopyOnWriteArrayList类的set方法中有一段setArray(elements)代码,实际上这段代码并未对element ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7gjPp.html" rel="bookmark" class="title">【Nginx】centos6&period;5下安装lnmp环境</a>
					<div>
						 本文原创自点点点细雨的CSDN博客,谢绝转载 前言 好久没有写博客了,真是不好,感觉接触的东西越来越多,如果不记录下来的话,就会慢慢忘记.因为业务需要,apache的负载能力已经不能满足现在的需求了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJArmJp.html" rel="bookmark" class="title">docker-DockerHub里的镜像太多了，怎么选择？</a>
					<div>
						问题描述 DockerHub里的镜像太多了,怎么选择? 在创建镜像的时候,DockerHub里的镜像太多了,应该怎么选择呢? 解决方案 看推荐,看需要.这和你去商店买衣服一个道理.往往采用成熟的,口碑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK96Bb.html" rel="bookmark" class="title">求助java调用&period;net开发的webservice问题</a>
					<div>
						问题描述 今天接到任务,做一个java调用webservice实现短信的发送,基本不会.求助代码http://220.201.207.234/umswebservice/messageinterop. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDBoBz.html" rel="bookmark" class="title">点击鼠标 免费上门&OpenCurlyDoubleQuote;收垃圾&rdquo;</a>
					<div>
						IT时报记者 王昕 提起垃圾回收,上海人总会想起弄堂和小区口&quot;收垃圾的&quot;,除此之外,别无他法.随着http://www.aliyun.com/zixun/aggregation/8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boddZdM.html" rel="bookmark" class="title">android中view的focus焦点处理</a>
					<div>
						通过isFocusable()这个方法我们可以知道view是否具有接受焦点的资格,通过setFocusable().来设置view接受焦点的资格:          对应在触摸模式下,你可以调用isF ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZB41oz.html" rel="bookmark" class="title">html5帮助文档</a>
					<div>
						  中文入口:http://www.w3school.com.cn/html5/index.asp 英文入口:http://www.w3schools.com/html5/default.asp					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZoZkp.html" rel="bookmark" class="title">Android为CheckBox设置Style</a>
					<div>
						MainActivity如下: package cc.testcheckboxstyle; import android.os.Bundle; import android.app.Activity; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgXG5M.html" rel="bookmark" class="title">VarBinary&lpar;8000&rpar;</a>
					<div>
						问题描述 今天遇到个问题,数据库中有个表中有2个字段是VarBinary(8000),用来存放一个序列化后的对象.现在的问题是,有时候该对象很大,超过8000字节的长度,则存不下了,而VarBinar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12mv9p.html" rel="bookmark" class="title">一路向北，东部安防市场方兴未艾2016年百城会东线完美收官</a>
					<div>
						随着安防行业朝着数字化.网络化和高度集成化的趋势发展,安防企业的竞争从产品竞争转为以整体解决方案为核心的综合实力竞争,智慧安防整体解决方案和智能安防技术在行业中的重要性日益彰显,对安防工程商.系统集成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baB1G2M.html" rel="bookmark" class="title">iOS  简单代码 求大神帮忙注释下 跪谢</a>
					<div>
						问题描述 iOS 简单代码 求大神帮忙注释下 跪谢 //1 [self.navigationController popViewControllerAnimated:YES] //2 -(void)p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GwPNp.html" rel="bookmark" class="title">C&plus;&plus; 中const 类型限定符不兼容问题&lowbar;C 语言</a>
					<div>
						今天在写程序的时候,出现了一个错误  &quot;对象包含与成员函数不兼容的类型限定符&quot;,从网上查了一下,原来原因是这样子的 void showPair(); 改成 void showPai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNgaQp.html" rel="bookmark" class="title">Android使用surfaceView自定义抽奖大转盘&lowbar;Android</a>
					<div>
						使用surfaceView自定义抽奖大转盘 话不多说,先上效果图 完整代码地址欢迎start 实现思路以及过程 1.首先了解SurfaceView的基本用法,它跟一般的View不太一样,采用的双缓存机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW76gqM.html" rel="bookmark" class="title">jquery遍历各种用法</a>
					<div>
						下面是一个函数(省略了前后代码),用于实现表格行条纹效果:  代码如下:  代码如下 复制代码 function stripe() { $('#news').find('tr.alt').remove ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEGwOz.html" rel="bookmark" class="title">谷歌公布全自动无人驾驶汽车的样车原型</a>
					<div>
						没有方向盘,没有油门,没有刹车,连后视镜也没有,这http://www.aliyun.com/zixun/aggregation/7522.html&quot;&gt;就是近日谷歌公布的全自动无人驾驶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YkwWp.html" rel="bookmark" class="title">给新手推广网站的小小建议</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 先声明,本人也属于菜鸟,本文主要是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boOK1Db.html" rel="bookmark" class="title">百度内测首个穿戴式设备Baidu Eye</a>
					<div>
						百度内测首个穿戴式设备Baidu Eye 4月1日晚间消息,据知情人士透露,百度首个穿戴式设备Baidu Eye正在内部进行研发,目前工程样机已经开始测试.据称这一项目由首席产品设计师孙云丰带领的百度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOkW28z.html" rel="bookmark" class="title">qq语音对方听不到我的声音怎么办 qq语音没有声音解决办法</a>
					<div>
						如下图所示我们打开要聊天的QQ好友,之后我们点击QQ聊天窗口,下拉菜单的 &quot;语音设置&quot;;     然后如下图所示我们把相关的选中全部取消 勾选;     如果没有解决我们可以看看电 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
